package com.bocloud.ims.entity.common;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

import java.math.BigDecimal;

/**
 * 服务授权
 * 
 * @author Administrator
 *
 */
@Table("service_tenant")
public class ServiceTenant {

	// id
	@PK(value = PKStrategy.AUTO)
	private Long id;
	// 项目id
	@Column("service_id")
	private Long serviceId;
	// 租户id
	@Column("tenant_id")
	private Long tenantId;
	//折扣
	@Column("discount")
	private BigDecimal discount;
	@IgnoreAll
	private String serviceCode;

	public ServiceTenant(Long serviceId, Long tenantId) {
		super();
		this.serviceId = serviceId;
		this.tenantId = tenantId;
	}

	public BigDecimal getDiscount() {
		return discount;
	}

	public void setDiscount(BigDecimal discount) {
		this.discount = discount;
	}

	public String getServiceCode() {
		return serviceCode;
	}

	public void setServiceCode(String serviceCode) {
		this.serviceCode = serviceCode;
	}

	public ServiceTenant() {
		super();
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getServiceId() {
		return serviceId;
	}

	public void setServiceId(Long serviceId) {
		this.serviceId = serviceId;
	}

	public Long getTenantId() {
		return tenantId;
	}

	public void setTenantId(Long tenantId) {
		this.tenantId = tenantId;
	}

}
